:
set -x

mv -v *"SEGA PSG #0.wav" segapsg0.wav
mv -v *"SEGA PSG #1.wav" segapsg1.wav
mv -v *"SEGA PSG #2.wav" segapsg2.wav
mv -v *"SEGA PSG #3.wav" segapsg3.wav
mv -v *"YM2612 #0.wav" ym26120.wav
mv -v *"YM2612 #1.wav" ym26121.wav
mv -v *"YM2612 #2.wav" ym26122.wav
mv -v *"YM2612 #3.wav" ym26123.wav
mv -v *"YM2612 #4.wav" ym26124.wav
mv -v *"YM2612 #5.wav" ym26125.wav
mv -v *"YM2612 #6.wav" ym26126.wav

NAME="$(cat name.txt)"
QUEUE="queue"

gst-launch-1.0 -e --gst-debug=2 \
    filesrc location="segapsg0.wav" ! decodebin ! audioconvert ! audiomixer name=am ! audioconvert ! audioresample ! audio/x-raw,channels=2 ! opusenc ! oggmux ! filesink location=$NAME.ogg \
    filesrc location="segapsg1.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="segapsg2.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="segapsg3.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26120.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26121.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26122.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26123.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26124.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26125.wav" ! decodebin ! audioconvert ! am. \
    filesrc location="ym26126.wav" ! decodebin ! audioconvert ! am.
    
gst-launch-1.0 -e --gst-debug=2 \
    videotestsrc pattern=2 ! videoconvert ! videoscale ! videorate ! video/x-raw,width=960,height=600,framerate=60/1 ! videomixer name=vm ! videoconvert ! vp9enc ! webmmux name=mux ! filesink location=$NAME.webm \
    filesrc location=$NAME.ogg ! oggdemux ! opusparse ! mux. \
    filesrc location="segapsg0.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="sega psg 0" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=1 left=-000 top=-000 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="segapsg1.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="sega psg 1" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-320 top=-000 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="segapsg2.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="sega psg 2" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-640 top=-000 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="segapsg3.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="sega psg 3" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-000 top=-200 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26120.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 0" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-320 top=-200 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26121.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 1" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-640 top=-200 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26122.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 2" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-000 top=-400 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26123.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 3" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-320 top=-400 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26124.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 4" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-640 top=-400 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26125.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 5" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-000 top=-600 ! videoconvert ! videoscale ! videorate ! vm. \
    filesrc location="ym26126.wav" ! decodebin ! audioconvert ! wavescope style=1 shader=0 ! videorate ! video/x-raw,framerate=60/1 ! textoverlay text="ym2612 6" valignment=top halignment=left font-desc="Sans, 32" ! videobox border-alpha=0 left=-320 top=-600 ! videoconvert ! videoscale ! videorate ! vm. \
    videotestsrc pattern=2 ! videoconvert ! videoscale ! videorate ! video/x-raw,width=320,height=200,framerate=60/1 ! \
        textoverlay text="$NAME $(cat info.txt)" valignment=top halignment=left line-alignment=left font-desc="Sans, 32" ! \
            videobox border-alpha=0 left=-640 top=-600 ! videoconvert ! videoscale ! videorate ! vm.
    
